petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscDSGetFieldIndex

Returns the index of the given field

### Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSGetFieldIndex(PetscDS prob, PetscObject disc, PetscInt *f)

Not collective

### Input Parameters

| prob | - The PetscDS object
| disc | - The discretization object

### Output Parameter

f -The field number

### See Also

PetscGetDiscretization(), PetscDSGetNumFields(), PetscDSCreate()

### Level

beginner

### Location

src/dm/dt/interface/dtds.c
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages